=== debian/changelog ===
ros-noetic-mrpt-msgs-bridge (1.0.3-1buster) buster; urgency=high

  * Fix CMake script error due to last commit typo
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.2-1buster) buster; urgency=high

  * Fix wrong destination for mrpt_msgs_bridge headers
  * Contributors: Jose Luis Blanco Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-msgs-bridge (1.0.1-1buster) buster; urgency=high

  * New package mrpt_msgs_bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- José Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 23 Jun 2022 22:00:00 -0000
